Adeptsense

Overview

Adeptsense was a Textadept module framework for code autocompletion and documentation support for programming languages. It was built-in to Textadept starting from version 3.7 beta up to and including version 7.2.

Download

Adeptsense is no longer maintained, but is available here and under Textadept's MIT license.

You can place it in ~/.textadept/modules/textadept/ and require it from your ~/.textadept/init.lua:

textadept.adeptsense = require('textadept.adeptsense')

Available Adeptsenses

Adeptsenses for the following languages are available for download (though no longer maintained):

They are normal language modules, so you may place them in your ~/.textadept/modules/ for installation.

The following Adeptsenses are available for reference, but Textadept's official modules already have a similar form of autocompletion.

Added the file “java.zip”.
Added the file “php.zip”.
Added the file “rails.zip”.
Added the file “rhtml.zip”.
Added the file “ruby.zip”.
Added the file “adeptsense.lua”.
Added the file “css.zip”.
Added the file “html.zip”.
Added the file “rest.zip”.
Added the file “ansi-c.zip”.
Added the file “lua.zip”.


Edited on Sunday, May 25th 2014 at 10:14 PM.